	.section .note.GNU-stack
	.text
	.globl	func3
	.type	func3, @function
func3:
	push	%rbp
	mov	%rsp, %rbp
	push	%rbx
	push	%rsi
	push	%rdi
	sub	$0x10, %rsp
	mov	$0x32, %rax
	mov	%rax, 0x0(%rsp)
	mov	$0x3c, %rax
	mov	%rax, 0x8(%rsp)
	mov	%rbp, %rax
	mov	0xffffffffffffffe0(%rax), %rax
	mov	%rax, %rbx
	mov	$.LC0, %rax
	mov	%rax, %rdi
	mov	%rbx, %rax
	mov	%rax, %rsi
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	%rbp, %rax
	mov	0xffffffffffffffd8(%rax), %rax
	mov	%rax, %rbx
	mov	$.LC1, %rax
	mov	%rax, %rdi
	mov	%rbx, %rax
	mov	%rax, %rsi
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	%rbp, %rax
	mov	0x0(%rax), %rax
	mov	%rax, %rbx
	mov	%rbx, %rax
	mov	0xffffffffffffffe0(%rax), %rax
	mov	%rax, %rbx
	mov	$.LC2, %rax
	mov	%rax, %rdi
	mov	%rbx, %rax
	mov	%rax, %rsi
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	%rbp, %rax
	mov	0x0(%rax), %rax
	mov	%rax, %rbx
	mov	%rbx, %rax
	mov	0xffffffffffffffd8(%rax), %rax
	mov	%rax, %rbx
	mov	$.LC3, %rax
	mov	%rax, %rdi
	mov	%rbx, %rax
	mov	%rax, %rsi
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	%rbp, %rax
	mov	0x0(%rax), %rax
	mov	%rax, %rbx
	mov	%rbx, %rax
	mov	0x0(%rax), %rax
	mov	%rax, %rbx
	mov	%rbx, %rax
	mov	0xffffffffffffffe0(%rax), %rax
	mov	%rax, %rbx
	mov	$.LC4, %rax
	mov	%rax, %rdi
	mov	%rbx, %rax
	mov	%rax, %rsi
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	%rbp, %rax
	mov	0x0(%rax), %rax
	mov	%rax, %rbx
	mov	%rbx, %rax
	mov	0x0(%rax), %rax
	mov	%rax, %rbx
	mov	%rbx, %rax
	mov	0xffffffffffffffd8(%rax), %rax
	mov	%rax, %rbx
	mov	$.LC5, %rax
	mov	%rax, %rdi
	mov	%rbx, %rax
	mov	%rax, %rsi
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	$0x0, %rax
	mov	-0x8(%rbp), %rbx
	mov	-0x10(%rbp), %rsi
	mov	-0x18(%rbp), %rdi
	leave
	ret
	.text
	.globl	func2
	.type	func2, @function
func2:
	push	%rbp
	mov	%rsp, %rbp
	push	%rbx
	push	%rsi
	push	%rdi
	sub	$0x10, %rsp
	mov	$0x1e, %rax
	mov	%rax, 0x0(%rsp)
	mov	$0x28, %rax
	mov	%rax, 0x8(%rsp)
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	func3
	mov	%rbx, %rsp
	pop	%rbx
	mov	$0x0, %rax
	mov	-0x8(%rbp), %rbx
	mov	-0x10(%rbp), %rsi
	mov	-0x18(%rbp), %rdi
	leave
	ret
	.text
	.globl	func
	.type	func, @function
func:
	push	%rbp
	mov	%rsp, %rbp
	push	%rbx
	push	%rsi
	push	%rdi
	sub	$0x10, %rsp
	mov	$0xa, %rax
	mov	%rax, 0x0(%rsp)
	mov	$0x14, %rax
	mov	%rax, 0x8(%rsp)
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	func2
	mov	%rbx, %rsp
	pop	%rbx
	mov	$0x0, %rax
	mov	-0x8(%rbp), %rbx
	mov	-0x10(%rbp), %rsi
	mov	-0x18(%rbp), %rdi
	leave
	ret
	.text
	.globl	main
	.type	main, @function
main:
	push	%rbp
	mov	%rsp, %rbp
	push	%rbx
	push	%rsi
	push	%rdi
	sub	$0x0, %rsp
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	func
	mov	%rbx, %rsp
	pop	%rbx
	mov	$0x0, %rax
	mov	-0x8(%rbp), %rbx
	mov	-0x10(%rbp), %rsi
	mov	-0x18(%rbp), %rdi
	leave
	ret

	.data
.LC5:	.string	"%d\n"
.LC4:	.string	"%d\n"
.LC3:	.string	"%d\n"
.LC2:	.string	"%d\n"
.LC1:	.string	"%d\n"
.LC0:	.string	"%d\n"
